#ifndef _UTIL_H_
#define _UTIL_H_

#ifdef __cplusplus
extern          "C" {
#endif

#include "regex.h"

int get_random(void);
void init_pattern_buffer(regex_t *pattern_buffer);
int posix_match(char *regex, char *text);

#ifdef __cplusplus
}
#endif

#endif
